Page MenuHomePhabricator

[BUG] HAVE_AUDIO
Closed, ResolvedPublic2 Story Points

Description

File property_sound.c
struct _Sound_Prop_Data
...
#ifdef HAVE_AUDIO

struct {
   int offset, length;
   const void *data;
   Ecore_Audio_Vio vio;
   Eo *in, *out;
} io;

#endif
...

The object "io" was not created but in code used value of variables of object. All value of "io" need to placed in #ifdef HAVE_AUDIO /.../ #endif
...
../../src/bin/ui/property_sound.c:280:26: error: 'ECORE_AUDIO_OUT_PULSE_CLASS' undeclared (first use in this function)
../../src/bin/ui/property_sound.c:282:15: error: 'Sound_Prop_Data' has no member named 'io'
../../src/bin/ui/property_sound.c:284:14: error: 'Sound_Prop_Data' has no member named 'io'
...

i.furs created this task.Jun 24 2016, 8:17 AM
NikaWhite edited projects, added Eflete (Eflete 0.7); removed Eflete.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.Jul 6 2016, 7:40 AM
FurryMyad claimed this task.
FurryMyad set the point value for this task to 2.Jul 6 2016, 8:05 AM
FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.
FurryMyad moved this task from Review to Done on the Eflete (Eflete 0.7) board.Jul 15 2016, 2:33 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:18 AM